[résolu]Trouver le nom d'une pièce d'assemblage dans une MEP

vos questions concernant les API SolidWorks

[résolu]Trouver le nom d'une pièce d'assemblage dans une MEP

Messagepar sriballet » Mar 28 Fév 2012, 17:35

Bonjour à tous,

Pas très clair mon titre, n'est pas ?
On va recommencer plus doucement :

J'ai une mise en plan d'un assemblage qui contient des pièces. Je clique sur une pièce (sur n'importe quelle vue), je lance ma macro et je connais le nom de la pièce.

J'y arrive très bien dans un assemblage 3D mais pas avec la MEP :

Dim swPart As SldWorks.Component2
Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set selMgr = swModel.SelectionManager

Set swPart = selMgr.GetSelectedObjectsComponent(1)

MsgBox swPart.GetPathName


Quelqu'un aurait une idée ?

Merci
Bonne soirée
@+
Sylvain
Dernière édition par sriballet le Mer 25 Avr 2012, 11:58, édité 1 fois.
sriballet
Ewok SolidWorks
 
Messages: 22
Inscription: Jeu 03 Mar 2011, 11:20

Messagepar fred_ecai » Mer 29 Fév 2012, 8:30

une question conne qui peux peut être donner une piste :

Quand on bulle sur un asm, on peut buller la pièce ou l'asm suivant l'état de décomposition de la nomenclature...

Bon ça m'étonnerait que ça influe mais faut s'attendre a tout avec Solid :wink:
Avatar de l’utilisateur
fred_ecai
Membres du Conseil SolidWorks
 
Messages: 1450
Inscription: Mar 22 Déc 2009, 9:09
Localisation: loire (42), Slw 2012 SP1.0 XP 64bit (in english please)

Messagepar liryc » Mer 29 Fév 2012, 22:20

Bonsoir,
Regarde si ce code peux te donner u ndébut de piste.
liryc
Chevalier Jedi SolidWorks
 
Messages: 479
Inscription: Ven 02 Mar 2007, 8:14
Localisation: Paris - SW2009 SP5.0

Messagepar sriballet » Mer 25 Avr 2012, 11:58

Yes ! J'ai trouvé !
Pour ce que ça intéresse :

Code: Tout sélectionner
    Dim swApp As SldWorks.SldWorks
    Dim swModel As SldWorks.ModelDoc2
    Dim swSelMgr As SldWorks.SelectionMgr
    Dim swView As SldWorks.View
     
     
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swSelMgr = swModel.SelectionManager
   
    Set swView = swSelMgr.GetSelectedObjectsDrawingView(1)
   
    Debug.Print swView.GetReferencedModelName


Enjoy
sriballet
Ewok SolidWorks
 
Messages: 22
Inscription: Jeu 03 Mar 2011, 11:20


Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité

banniere